FWTMP(8)

NAME
fwtmp, wtmpfix - manipulate connect accounting records

SYNOPSIS
/usr/lib/acct/fwtmp [ -ci ]

/usr/lib/acct/wtmpfix [ filename... ]

DESCRIPTION

  fwtmp

fwtmp reads from the standard input and writes to the standard output, converting binary records of the type found in wtmp to formatted ASCII records. The ASCII version is useful to enable editing bad records, using a text editor, or general purpose maintenance of the file.

  wtmpfix

wtmpfix examines the standard input or named files in wtmp format, corrects the time/date stamps to make the entries consistent, and writes to the standard output. A `-' can be used in place of filename to indicate the standard input. If time/date corrections are not performed, acctcon1 fails when it encounters certain date-change records.

Each time the date is set, a pair of date change records are written to /var/adm/wtmp. The first record is the old date denoted by the string `|' placed in the line field of the <utmp.h> structure. The second record specifies the new date and is denoted by the string `{' placed in the line field. wtmpfix uses these records to synchronize all time stamps in the file.

In addition to correcting time/date stamps, wtmpfix checks the validity of the name field to ensure that it consists solely of alphanumeric characters or SPACE characters. If it encounters a name that is considered invalid, it changes the login name to INVALID and writes a diagnostic message to the standard error. In this way, wtmpfix reduces the chance that acctcon1 will fail when processing connect accounting records.

OPTIONS

  fwtmp

-c  Write output in binary form.

-i  Input is in ASCII form.

FILES
/var/adm/wtmp

SEE ALSO
acctcom(1), acct(2V), acct(5), utmp(5V), acct(8), acctcms(8), acctcon(8), acctmerg(8), acctprc(8), acctsh(8), runacct(8)